#***********************************************************************
#                                                                      *
# Program name: WIN16RAS.MAK                                           *
#                                                                      *
# Description : MAKE file for the Windows 16 RAS Dialer Extension.     *
#                                                                      *
# Statement:     Licensed Materials - Property of IBM                  *
#                                                                      *
#                5622-960 (C) Copyright IBM Corp. 1996                 *
#                                                                      *
#                U.S. Government Users Restricted Rights - use,        *
#                duplication or disclosure restricted by GSA ADP       *
#                Schedule Contract with IBM Corp.                      *
#                                                                      *
#***********************************************************************
.SUFFIXES:
.SUFFIXES: .obj .c

CC = cl
CFLAGS = /nologo /W3 /ALu /FR /G2 /Zi /Od /c
LFLAGS = /PM:PM /NOLOGO /NOD /NOE /CO /ALIGN:16 /ONERROR:NOEXE /MAP:FULL /LINE
HEADERS = win16ras.h

#-----------------------------------------------------------------------
# Output file
#-----------------------------------------------------------------------
all: win16ras.dll

#-----------------------------------------------------------------------
#  win16ras.c - sample source code
#-----------------------------------------------------------------------
win16ras.obj: win16ras.c $(HEADERS)
  $(CC) $(CFLAGS) win16ras.c

#-----------------------------------------------------------------------
# win16ras.rc - sample resource file (e.g. version information)
#-----------------------------------------------------------------------
win16ras.res: win16ras.rc $(HEADERS)
  rc /nologo -r win16ras.rc

win16ras.lib:  WIN16RAS.obj  WIN16RAS.def WIN16RAS.res
       implib  win16ras.lib     WIN16RAS.def

#-----------------------------------------------------------------------
#  win16ras.dll generation
#-----------------------------------------------------------------------
win16ras.dll: win16ras.obj \
              win16ras.res \
              win16ras.def \
              win16ras.lib
  link $(LFLAGS) @<<
win16ras.obj
win16ras.dll
win16ras.map
LIBW.LIB     +
LDLLCEW.LIB  +
RASAPI16.LIB
win16ras.def;
<<
  rc /nologo -t win16ras.res win16ras.dll
